org.apache.poi.hwpf.usermodel

## Class TableCell

- java.lang.Object
- - org.apache.poi.hwpf.usermodel.Range
  - - org.apache.poi.hwpf.usermodel.TableCell

-     public final class TableCell
      extends Range

- - ### Field Summary

    - ### Fields inherited from class org.apache.poi.hwpf.usermodel.Range

      `_characters, _charEnd, _charRangeFound, _charStart, _doc, _end, _paragraphs, _parEnd, _parRangeFound, _parStart, _sectionEnd, _sections, _sectionStart, _start, _text, TYPE_CHARACTER, TYPE_LISTENTRY, TYPE_PARAGRAPH, TYPE_SECTION, TYPE_TABLE, TYPE_TEXT, TYPE_UNDEFINED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TableCell(int startIdxInclusive, int endIdxExclusive, TableRow parent, int levelNum, TableCellDescriptor tcd, int leftEdge, int width)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BorderCode` | `getBrcBottom()`
    `BorderCode` | `getBrcLeft()`
    `BorderCode` | `getBrcRight()`
    `BorderCode` | `getBrcTop()`
    `TableCellDescriptor` | `getDescriptor()` Returns the TableCellDescriptor for this cell.
    `int` | `getLeftEdge()`
    `byte` | `getVertAlign()`
    `int` | `getWidth()`
    `boolean` | `isBackward()`
    `boolean` | `isFirstMerged()`
    `boolean` | `isFirstVerticallyMerged()`
    `boolean` | `isMerged()`
    `boolean` | `isRotateFont()`
    `boolean` | `isVertical()`
    `boolean` | `isVerticallyMerged()`

    - ### Methods inherited from class org.apache.poi.hwpf.usermodel.Range

      `adjustFIB, delete, getCharacterRun, getDocument, getEndOffset, getParagraph, getSection, getStartOffset, getTable, initAll, insertAfter, insertBefore, insertTableBefore, numCharacterRuns, numParagraphs, numSections, replaceText, replaceText, replaceText, reset, sanityCheck, stripFields, text, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TableCell

          public TableCell(int startIdxInclusive,
                           int endIdxExclusive,
                           TableRow parent,
                           int levelNum,
                           TableCellDescriptor tcd,
                           int leftEdge,
                           int width)

  - ### Method Detail

    - #### isFirstMerged

          public boolean isFirstMerged()

    - #### isMerged

          public boolean isMerged()

    - #### isVertical

          public boolean isVertical()

    - #### isBackward

          public boolean isBackward()

    - #### isRotateFont

          public boolean isRotateFont()

    - #### isVerticallyMerged

          public boolean isVerticallyMerged()

    - #### isFirstVerticallyMerged

          public boolean isFirstVerticallyMerged()

    - #### getVertAlign

          public byte getVertAlign()

    - #### getBrcTop

          public BorderCode getBrcTop()

    - #### getBrcBottom

          public BorderCode getBrcBottom()

    - #### getBrcLeft

          public BorderCode getBrcLeft()

    - #### getBrcRight

          public BorderCode getBrcRight()

    - #### getLeftEdge

          public int getLeftEdge()

    - #### getWidth

          public int getWidth()

    - #### getDescriptor

          public TableCellDescriptor getDescriptor()

      Returns the TableCellDescriptor for this cell.

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.